<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'figmax',

    /*
     * Package.
     */
    'package'   => 'manufacturer',

    /*
     * Modules.
     */
    'modules'   => ['manufacturer'],

    
    'manufacturer'       => [
        'model' => [
            'model'                 => \Figmax\Manufacturer\Models\Manufacturer::class,
            'table'                 => 'manufacturers',
            'presenter'             => \Figmax\Manufacturer\Repositories\Presenter\ManufacturerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'keywords',  'order',  'image',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'manufacturer/manufacturer',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Figmax',
            'package'   => 'Manufacturer',
            'module'    => 'Manufacturer',
        ],

    ],
];
